# XDG standard
export XDG_DATA_HOME="${HOME}/.local/share"
export XDG_CONFIG_HOME="${HOME}/.config"
export XDG_STATE_HOME="${HOME}/.local/state"
export XDG_CACHE_HOME="${HOME}/.cache"

# Android studio and cli
export ANDROID_HOME="${XDG_DATA_HOME}/android"

# Cargo
export CARGO_HOME="${XDG_DATA_HOME}/cargo"

# Cuda cache
export CUDA_CACHE_PATH="${XDG_CACHE_HOME}/nv"

# GnuPG
export GNUPGHOME="${XDG_DATA_HOME}/gnupg"

# Go
export GOPATH="${XDG_DATA_HOME}/go"

# Gradle
export GRADLE_USER_HOME="${XDG_DATA_HOME}/gradle"

# GTK2
export GTK2_RC_FILES="${XDG_CONFIG_HOME}/gtk-2.0/gtkrc"

# Less history
[[ -d "${XDG_CACHE_HOME}/less" ]] || mkdir "${XDG_CACHE_HOME}/less"
export LESSHISTFILE="${XDG_CACHE_HOME}/less/history"

# Maxima
export MAXIMA_USERDIR="${XDG_CONFIG_HOME}/maxima"

# NPM
export NPM_CONFIG_USERCONFIG="${XDG_CONFIG_HOME}/npm/npmrc"

# Pass
export PASSWORD_STORE_DIR="${XDG_DATA_HOME}/pass"

# Python and python history
export PYTHONSTARTUP="${XDG_CONFIG_HOME}/python/pythonrc"

# SQLite history
export SQLITE_HISTORY="${XDG_CACHE_HOME}/sqlite_history"

# Wine
export WINEPREFIX="${XDG_DATA_HOME}/wine"

# XAuthority
export XAUTHORITY="${XDG_RUNTIME_DIR}/Xauthority"

# Minetest
export MINETEST_USER_PATH="${XDG_DATA_HOME}/minetest"
